> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/api-reference/.net-api/licensevalidator/methods/validatelicense.md).

# ValidateLicense

### Description

Validates a license

```csharp
 virtual bool ValidateLicense(string activationKey, string computerKey, string computerID, 
                              ref bool needsActivation, ref string returnMsg)
```

### Parameters

| Parameter       |  Type  | Description                                                                                       |
| --------------- | :----: | ------------------------------------------------------------------------------------------------- |
| activationKey   | string | the activation key                                                                                |
| computerKey     | string | the computer bound key                                                                            |
| computerID      | string | the unique computer identifier. The computerID is used when licenseBinding is set to UserDefined. |
| needsActivation |  bool  | returned flag indicating whether the license needs to be activated                                |
| returnMsg       | string | message returned by the license validation operation                                              |

### Return

| Type | Description                                   |
| ---- | --------------------------------------------- |
| bool | true if the license is valid; false otherwise |

### Remarks

This function perform a local license validation without contacting the server.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/licensevalidator/methods/validatelicense.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
